Page MenuHomePhabricator

Update k18 password in phab diffusion
Closed, ResolvedPublic

Event Timeline

Halfak removed Halfak as the assignee of this task.Sep 11 2019, 7:25 PM
Halfak created this task.

Seems to have gone out of date.

FYI, this all started with me not seeing changes from https://phabricator.wikimedia.org/source/ores pushed to https://gerrit.wikimedia.org/r/scoring/ores/ores. The last commit in gerrit is on July 31st, 2019.

I've tried to force the update via HTTP and via SSH. None of them do work. I'm mentioning @mmodell and @thcipriani so they can take a look at the Phabricator account on Gerrit, as well K18/K19.

thcipriani triaged this task as Normal priority.

I've tried to force the update via HTTP and via SSH. None of them do work. I'm mentioning @mmodell and @thcipriani so they can take a look at the Phabricator account on Gerrit, as well K18/K19.

K19 AFAIK should work. @mmodell and I fiddled a bit with K18 which is when we discovered T225308: Users with a different name in the cn field compared to uid field cannot use http auth (phabricator is one such user phab vs phabricator).

I think what needs to happen is we need to login to gerrit as phab; generate a new http token via https://gerrit.wikimedia.org/r/#/settings/http-password ; and update K18; however, I don't have the phab creds (they're not in the Release-Engineering-Team password store).

Looks like @mmodell should be able to login or reset the password via his email: https://tools.wmflabs.org/ldap/user/phab

I'll try with phab as shell, and K19; and report back.

MarcoAurelio added a comment.EditedSep 12 2019, 2:50 PM

I'll try with phab as shell, and K19; and report back.

Yay. SSH did work. I've updated https://phabricator.wikimedia.org/source/ores/uri/view/20533/ to use ssh://phab@gerrit.wikimedia.org:29418/scoring/ores/ores with K19 credential; and deactivated https://phabricator.wikimedia.org/source/ores/uri/view/22873/ so it stops spamming login errors in the gerrit logs. Once K18 gets updated we can either switch back to HTTP mirroring, or leave it to mirror via SSH as it's now :-)

Mentioned in SAL (#wikimedia-releng) [2019-09-12T15:53:51Z] <hauskatze> Phabricator: Switched articlequality, drafttopic, draftquality and editquality Diffusion (ORES project) to mirror to Gerrit via SSH/K19 refs. T232661

Halfak closed this task as Resolved.Sep 12 2019, 6:33 PM

Looks like this is working for us. Thanks @MarcoAurelio et al.!

Note that K18 still needs to be updated just in case any other repo is using it, cc. @mmodell, but scoring repos should be now all migrated to K19 via phab SSH.